<?php
$lib_dir = trailingslashit( str_replace( '\\', '/', get_template_directory() . '/lib/' ) );

if( !defined('KINGPLACE_DIR') ){
	define( 'KINGPLACE_DIR', $lib_dir );
}

if( !defined('KINGPLACE_URL') ){
	define( 'KINGPLACE_URL', trailingslashit( get_template_directory_uri() ) . 'lib' );
}

if (!isset($content_width)) { $content_width = 940; }

define("KINGPLACE_PRODUCT_TYPE","product");
define("KINGPLACE_PRODUCT_DETAIL_TYPE","product_detail");

if ( !defined('SW_THEME') ){
	define( 'SW_THEME', 'kingplace_theme' );
}
require_once( get_template_directory().'/lib/options.php' );

if( class_exists( 'SW_Options' ) ) :
	function kingplace_Options_Setup(){
		global $sw_options, $options, $options_args;

		$options = array();
		$options[] = array(
			'title' => esc_html__('General', 'kingplace'),
			'desc' => wp_kses( __('<p class="description">The theme allows to build your own styles right out of the backend without any coding knowledge. Upload new logo and favicon or get their URL.</p>', 'kingplace'), array( 'p' => array( 'class' => array() ) ) ),
			//all the glyphicons are included in the options folder, so you can hook into them, or link to your own custom ones.
			//You dont have to though, leave it kingplace for default.
			'icon' => KINGPLACE_URL.'/admin/img/glyphicons/glyphicons_019_cogwheel.png',
			//Lets leave this as a kingplace section, no options just some intro text set above.
			'fields' => array(	

				array(
					'id' => 'sitelogo',
					'type' => 'upload',
					'title' => esc_html__('Logo Image', 'kingplace'),
					'sub_desc' => esc_html__( 'Use the Upload button to upload the new logo and get URL of the logo', 'kingplace' ),
					'std' => get_template_directory_uri().'/assets/img/logo-default.png'
					),

				array(
					'id' => 'favicon',
					'type' => 'upload',
					'title' => esc_html__('Favicon', 'kingplace'),
					'sub_desc' => esc_html__( 'Use the Upload button to upload the custom favicon', 'kingplace' ),
					'std' => ''
					),

				array(
					'id' => 'tax_select',
					'type' => 'multi_select_taxonomy',
					'title' => esc_html__('Select Taxonomy', 'kingplace'),
					'sub_desc' => esc_html__( 'Select taxonomy to show custom term metabox', 'kingplace' ),
					),

				array(
					'id' => 'title_length',
					'type' => 'text',
					'title' => esc_html__('Title Length Of Item Listing Page', 'kingplace'),
					'sub_desc' => esc_html__( 'Choose title length if you want to trim word, leave 0 to not trim word', 'kingplace' ),
					'std' => 0
					),
				array(
					'id' => 'bg_breadcrumb',
					'type' => 'upload',
					'title' => esc_html__('Breadcrumb Background', 'kingplace'),
					'sub_desc' => esc_html__( 'Use upload button to upload custom background for breadcrumb.', 'kingplace' ),
					'std' => ''
					)					
				)		
);

$options[] = array(
	'title' => esc_html__('Schemes', 'kingplace'),
	'desc' => wp_kses( __('<p class="description">Custom color scheme for theme. Unlimited color that you can choose.</p>', 'kingplace'), array( 'p' => array( 'class' => array() ) ) ),
			//all the glyphicons are included in the options folder, so you can hook into them, or link to your own custom ones.
			//You dont have to though, leave it kingplace for default.
	'icon' => KINGPLACE_URL.'/admin/img/glyphicons/glyphicons_163_iphone.png',
			//Lets leave this as a kingplace section, no options just some intro text set above.
	'fields' => array(		
		array(
			'id' => 'scheme',
			'type' => 'radio_img',
			'title' => esc_html__('Color Scheme', 'kingplace'),
			'sub_desc' => esc_html__( 'Select one of 1 predefined schemes', 'kingplace' ),
			'desc' => '',
			'options' => array(
				'default' => array('title' => 'Default', 'img' => get_template_directory_uri().'/assets/img/default.png'),
				), //Must provide key => value(array:title|img) pairs for radio options
			'std' => 'default'
			),
		array(
			'id' => 'custom_color',
			'title' => esc_html__( 'Enable Custom Color', 'kingplace' ),
			'type' => 'checkbox',
			'sub_desc' => esc_html__( 'Check this field to enable custom color and when you update your theme, custom color will not lose.', 'kingplace' ),
			'desc' => '',
			'std' => '0'
		),
		
		array(
			'id' => 'developer_mode',
			'title' => esc_html__( 'Developer Mode', 'kingplace' ),
			'type' => 'checkbox',
			'sub_desc' => esc_html__( 'Turn on/off compile less to css and custom color', 'kingplace' ),
			'desc' => '',
			'std' => '0'
			),

		array(
			'id' => 'scheme_color',
			'type' => 'color',
			'title' => esc_html__('Color', 'kingplace'),
			'sub_desc' => esc_html__('Select main custom color.', 'kingplace'),
			'std' => ''
			)

		)
	);

$options[] = array(
	'title' => esc_html__('Layout', 'kingplace'),
	'desc' => wp_kses( __('<p class="description">WPThemeGo Framework comes with a layout setting that allows you to build any number of stunning layouts and apply theme to your entries.</p>', 'kingplace'), array( 'p' => array( 'class' => array() ) ) ),
			//all the glyphicons are included in the options folder, so you can hook into them, or link to your own custom ones.
			//You dont have to though, leave it kingplace for default.
	'icon' => KINGPLACE_URL.'/admin/img/glyphicons/glyphicons_319_sort.png',
			//Lets leave this as a kingplace section, no options just some intro text set above.
	'fields' => array(
		array(
			'id' => 'layout',
			'type' => 'select',
			'title' => esc_html__('Box Layout', 'kingplace'),
			'sub_desc' => esc_html__( 'Select Layout Box or Wide', 'kingplace' ),
			'options' => array(
				'full' => esc_html__( 'Wide', 'kingplace' ),
				'boxed' => esc_html__( 'Boxed', 'kingplace' )
				),
			'std' => 'wide'
			),

		array(
			'id' => 'bg_box_img',
			'type' => 'upload',
			'title' => esc_html__('Background Box Image', 'kingplace'),
			'sub_desc' => '',
			'std' => ''
			),
		array(
			'id' => 'sidebar_left_expand',
			'type' => 'select',
			'title' => esc_html__('Left Sidebar Expand', 'kingplace'),
			'options' => array(
				'2' => '2/12',
				'3' => '3/12',
				'4' => '4/12',
				'5' => '5/12', 
				'6' => '6/12',
				'7' => '7/12',
				'8' => '8/12',
				'9' => '9/12',
				'10' => '10/12',
				'11' => '11/12',
				'12' => '12/12'
				),
			'std' => '3',
			'sub_desc' => esc_html__( 'Select width of left sidebar.', 'kingplace' ),
			),

		array(
			'id' => 'sidebar_right_expand',
			'type' => 'select',
			'title' => esc_html__('Right Sidebar Expand', 'kingplace'),
			'options' => array(
				'2' => '2/12',
				'3' => '3/12',
				'4' => '4/12',
				'5' => '5/12',
				'6' => '6/12',
				'7' => '7/12',
				'8' => '8/12',
				'9' => '9/12',
				'10' => '10/12',
				'11' => '11/12',
				'12' => '12/12'
				),
			'std' => '3',
			'sub_desc' => esc_html__( 'Select width of right sidebar medium desktop.', 'kingplace' ),
			),
		array(
			'id' => 'sidebar_left_expand_md',
			'type' => 'select',
			'title' => esc_html__('Left Sidebar Medium Desktop Expand', 'kingplace'),
			'options' => array(
				'2' => '2/12',
				'3' => '3/12',
				'4' => '4/12',
				'5' => '5/12',
				'6' => '6/12',
				'7' => '7/12',
				'8' => '8/12',
				'9' => '9/12',
				'10' => '10/12',
				'11' => '11/12',
				'12' => '12/12'
				),
			'std' => '4',
			'sub_desc' => esc_html__( 'Select width of left sidebar medium desktop.', 'kingplace' ),
			),
		array(
			'id' => 'sidebar_right_expand_md',
			'type' => 'select',
			'title' => esc_html__('Right Sidebar Medium Desktop Expand', 'kingplace'),
			'options' => array(
				'2' => '2/12',
				'3' => '3/12',
				'4' => '4/12',
				'5' => '5/12',
				'6' => '6/12',
				'7' => '7/12',
				'8' => '8/12',
				'9' => '9/12',
				'10' => '10/12',
				'11' => '11/12',
				'12' => '12/12'
				),
			'std' => '4',
			'sub_desc' => esc_html__( 'Select width of right sidebar.', 'kingplace' ),
			),
		array(
			'id' => 'sidebar_left_expand_sm',
			'type' => 'select',
			'title' => esc_html__('Left Sidebar Tablet Expand', 'kingplace'),
			'options' => array(
				'2' => '2/12',
				'3' => '3/12',
				'4' => '4/12',
				'5' => '5/12',
				'6' => '6/12',
				'7' => '7/12',
				'8' => '8/12',
				'9' => '9/12',
				'10' => '10/12',
				'11' => '11/12',
				'12' => '12/12'
				),
			'std' => '4',
			'sub_desc' => esc_html__( 'Select width of left sidebar tablet.', 'kingplace' ),
			),
		array(
			'id' => 'sidebar_right_expand_sm',
			'type' => 'select',
			'title' => esc_html__('Right Sidebar Tablet Expand', 'kingplace'),
			'options' => array(
				'2' => '2/12',
				'3' => '3/12',
				'4' => '4/12',
				'5' => '5/12',
				'6' => '6/12',
				'7' => '7/12',
				'8' => '8/12',
				'9' => '9/12',
				'10' => '10/12',
				'11' => '11/12',
				'12' => '12/12'
				),
			'std' => '4',
			'sub_desc' => esc_html__( 'Select width of right sidebar tablet.', 'kingplace' ),
			),				
		)
);

$options[] = array(
			'title' => esc_html__('Mobile Layout', 'kingplace'),
			'desc' => wp_kses( __('<p class="description">WpThemeGo Framework comes with a mobile setting home page layout.</p>', 'kingplace'), array( 'p' => array( 'class' => array() ) ) ),
			//all the glyphicons are included in the options folder, so you can hook into them, or link to your own custom ones.
			//You dont have to though, leave it kingplace for default.
			'icon' => KINGPLACE_URL.'/admin/img/glyphicons/glyphicons_163_iphone.png',
			//Lets leave this as a kingplace section, no options just some intro text set above.
			'fields' => array(				
				array(
					'id' => 'mobile_enable',
					'type' => 'checkbox',
					'title' => esc_html__('Enable Mobile Layout', 'kingplace'),
					'sub_desc' => '',
					'desc' => '',
							'std' => '1'// 1 = on | 0 = off
						),

				array(
					'id' => 'mobile_logo',
					'type' => 'upload',
					'title' => esc_html__('Logo Mobile Image', 'kingplace'),
					'sub_desc' => esc_html__( 'Use the Upload button to upload the new mobile logo', 'kingplace' ),
					'std' => get_template_directory_uri().'/assets/img/logo-default.png'
				),
				
				array(
					'id' => 'mobile_logo_account',
					'type' => 'upload',
					'title' => esc_html__('Logo Mobile My Account Page', 'kingplace'),
					'sub_desc' => esc_html__( 'Use the Upload button to upload the new mobile logo in my account page', 'kingplace' ),
					'std' => get_template_directory_uri().'/assets/img/icon-myaccount.png'
				),

				array(
					'id' => 'sticky_mobile',
					'type' => 'checkbox',
					'title' => esc_html__('Sticky Mobile', 'kingplace'),
					'sub_desc' => '',
					'desc' => '',
							'std' => '0'// 1 = on | 0 = off
						),

				array(
					'id' => 'mobile_content',
					'type' => 'pages_select',
					'title' => esc_html__('Mobile Layout Content', 'kingplace'),
					'sub_desc' => esc_html__('Select content index for this mobile layout', 'kingplace'),
					'std' => ''
				),

				array(
					'id' => 'mobile_header_style',
					'type' => 'select',
					'title' => esc_html__('Header Mobile Style', 'kingplace'),
					'sub_desc' => esc_html__('Select header mobile style', 'kingplace'),
					'options' => array(
						'mstyle1'  => esc_html__( 'Style 1', 'kingplace' ),
					),
					'std' => 'style1'
				),

				array(
					'id' => 'mobile_footer_style',
					'type' => 'select',
					'title' => esc_html__('Footer Mobile Style', 'kingplace'),
					'sub_desc' => esc_html__('Select footer mobile style', 'kingplace'),
					'options' => array(
						'mstyle1'  => esc_html__( 'Style 1', 'kingplace' ),
					),
					'std' => 'style1'
				),
				
				array(
					'id' => 'mobile_header_inside',
					'type' => 'checkbox',
					'title' => esc_html__('Enable Header Other Pages', 'kingplace'),
					'sub_desc' => esc_html__( 'Enable header in other pages which are different with homepage', 'kingplace' ),
					'desc' => '',
						'std' => '0'// 1 = on | 0 = off
				),
				
				array(
					'id' => 'mobile_jquery',
					'type' => 'checkbox',
					'title' => esc_html__('Include Jquery Revolution', 'kingplace'),
					'sub_desc' => esc_html__( 'Enable jquery kingplacelution slider on mobile layout.', 'kingplace' ),
					'desc' => '',
						'std' => '0'// 1 = on | 0 = off
				),
			)
	);

$options[] = array(
	'title' => esc_html__('Header & Footer', 'kingplace'),
	'desc' => wp_kses( __('<p class="description">WPThemeGo Framework comes with a header and footer setting that allows you to build style header.</p>', 'kingplace'), array( 'p' => array( 'class' => array() ) ) ),
			//all the glyphicons are included in the options folder, so you can hook into them, or link to your own custom ones.
			//You dont have to though, leave it kingplace for default.
	'icon' => KINGPLACE_URL.'/admin/img/glyphicons/glyphicons_336_read_it_later.png',
			//Lets leave this as a kingplace section, no options just some intro text set above.
	'fields' => array(
		array(
			'id' => 'header_style',
			'type' => 'select',
			'title' => esc_html__('Header Style', 'kingplace'),
			'sub_desc' => esc_html__('Select Header style', 'kingplace'),
			'options' => array(
				'default'  => esc_html__( 'Default', 'kingplace' ),
				'style1'  => esc_html__( 'Style 1', 'kingplace' ),
				'style2'  => esc_html__( 'Style 2', 'kingplace' ),
				'style3'  => esc_html__( 'Style 3', 'kingplace' ),
				),
			'std' => 'default'
			),

		array(
			'id' => 'disable_search',
			'title' => esc_html__( 'Disable Search', 'kingplace' ),
			'type' => 'checkbox',
			'sub_desc' => esc_html__( 'Check this to disable search on header', 'kingplace' ),
			'desc' => '',
			'std' => '0'
			),		

		array(
			'id' => 'footer_style',
			'type' => 'pages_select',
			'title' => esc_html__('Footer Style', 'kingplace'),
			'sub_desc' => esc_html__('Select Footer style', 'kingplace'),
			'std' => ''
			),

		array(
			'id' => 'copyright_style',
			'type' => 'select',
			'title' => esc_html__('Copyright Style', 'kingplace'),
			'sub_desc' => esc_html__('Select Copyright style', 'kingplace'),
			'options' => array(
				'style1'  => esc_html__( 'Style 1', 'kingplace' ),
				'style2'  => esc_html__( 'Style 2', 'kingplace' ),
				'style3'  => esc_html__( 'Style 3', 'kingplace' ),
				),
			'std' => 'style1'
			),

		array(
			'id' => 'footer_copyright',
			'type' => 'editor',
			'sub_desc' => '',
			'title' => esc_html__( 'Copyright text', 'kingplace' )
			),	

		)
);
$options[] = array(
	'title' => esc_html__('Navbar Options', 'kingplace'),
	'desc' => wp_kses( __('<p class="description">If you got a big site with a lot of sub menus we recommend using a mega menu. Just select the dropbox to display a menu as mega menu or dropdown menu.</p>', 'kingplace'), array( 'p' => array( 'class' => array() ) ) ),
			//all the glyphicons are included in the options folder, so you can hook into them, or link to your own custom ones.
			//You dont have to though, leave it kingplace for default.
	'icon' => KINGPLACE_URL.'/admin/img/glyphicons/glyphicons_157_show_lines.png',
			//Lets leave this as a kingplace section, no options just some intro text set above.
	'fields' => array(
		array(
			'id' => 'menu_type',
			'type' => 'select',
			'title' => esc_html__('Menu Type', 'kingplace'),
			'options' => array( 'dropdown' => 'Dropdown Menu', 'mega' => 'Mega Menu' ),
			'std' => 'mega'
			),

		array(
			'id' => 'menu_location',
			'type' => 'menu_location_multi_select',
			'title' => esc_html__('Theme Location', 'kingplace'),
			'sub_desc' => esc_html__( 'Select theme location to active mega menu and menu responsive.', 'kingplace' ),
			'std' => 'primary_menu'
			),		

		array(
			'id' => 'sticky_menu',
			'type' => 'checkbox',
			'title' => esc_html__('Active sticky menu', 'kingplace'),
			'sub_desc' => '',
			'desc' => '',
						'std' => '0'// 1 = on | 0 = off
						),

		array(
			'id' => 'menu_event',
			'type' => 'select',
			'title' => esc_html__('Menu Event', 'kingplace'),
			'options' => array( '' => esc_html__( 'Hover Event', 'kingplace' ), 'click' => esc_html__( 'Click Event', 'kingplace' ) ),
			'std' => ''
			),

		array(
			'id' => 'info_typon2',
			'type' => 'info',
			'title' => esc_html__( 'Responsive Menu Config', 'kingplace' ),
			'desc' => '',
			'class' => 'kingplace-opt-info'
		),
		
		array(
			'id' => 'mobile_menu',
			'type' => 'menu_location_multi_select',
			'title' => esc_html__('Mobile & Responsive Menu Location', 'kingplace'),
			'sub_desc' => esc_html__( 'Select theme location to active mobile menu.', 'kingplace' ),
			'std' => 'primary_menu'
		),

		array(
			'id' => 'mobile_menu_title',
			'type' => 'text',
			'title' => esc_html__('Mobile Menu Title', 'kingplace'),
			'sub_desc' => esc_html__( 'Change title heading of menu responsive. If there are many menu, each title separated by commas.', 'kingplace' ),
			'std' => ''
		),

	)
);
$options[] = array(
	'title' => esc_html__('Blog Options', 'kingplace'),
	'desc' => wp_kses( __('<p class="description">Select layout in blog listing page.</p>', 'kingplace'), array( 'p' => array( 'class' => array() ) ) ),
		//all the glyphicons are included in the options folder, so you can hook into them, or link to your own custom ones.
		//You dont have to though, leave it kingplace for default.
	'icon' => KINGPLACE_URL.'/admin/img/glyphicons/glyphicons_071_book.png',
		//Lets leave this as a kingplace section, no options just some intro text set above.
	'fields' => array(
		array(
			'id' => 'sidebar_blog',
			'type' => 'select',
			'title' => esc_html__('Sidebar Blog Layout', 'kingplace'),
			'options' => array(
				'full' => esc_html__( 'Full Layout', 'kingplace' ),		
				'left'	=>  esc_html__( 'Left Sidebar', 'kingplace' ),
				'right' => esc_html__( 'Right Sidebar', 'kingplace' ),
				),
			'std' => 'left',
			'sub_desc' => esc_html__( 'Select style sidebar blog', 'kingplace' ),
			),
		array(
			'id' => 'blog_layout',
			'type' => 'select',
			'title' => esc_html__('Layout blog', 'kingplace'),
			'options' => array(
				'list'	=>  esc_html__( 'List Layout', 'kingplace' ),
				'grid' =>  esc_html__( 'Grid Layout', 'kingplace' )								
				),
			'std' => 'list',
			'sub_desc' => esc_html__( 'Select style layout blog', 'kingplace' ),
			),
		array(
			'id' => 'blog_column',
			'type' => 'select',
			'title' => esc_html__('Blog column', 'kingplace'),
			'options' => array(								
				'2' => '2 columns',
				'3' => '3 columns',
				'4' => '4 columns'								
				),
			'std' => '2',
			'sub_desc' => esc_html__( 'Select style number column blog', 'kingplace' ),
			),
		)
);

$options[] = array(
	'title' => esc_html__('Room Options', 'kingplace'),
	'desc' => wp_kses( __('<p class="description">Select layout in room listing page.</p>', 'kingplace'), array( 'p' => array( 'class' => array() ) ) ),
		//all the glyphicons are included in the options folder, so you can hook into them, or link to your own custom ones.
		//You dont have to though, leave it kingplace for default.
	'icon' => KINGPLACE_URL.'/admin/img/glyphicons/glyphicons_263_bank.png',
		//Lets leave this as a kingplace section, no options just some intro text set above.
	'fields' => array(
		array(
			'id' => 'sidebar_room',
			'type' => 'select',
			'title' => esc_html__('Sidebar Room Layout', 'kingplace'),
			'options' => array(
				'full' => esc_html__( 'Full Layout', 'kingplace' ),		
				'left'	=>  esc_html__( 'Left Sidebar', 'kingplace' ),
				'right' => esc_html__( 'Right Sidebar', 'kingplace' ),
				),
			'std' => 'left',
			'sub_desc' => esc_html__( 'Select style sidebar room', 'kingplace' ),
			),
		array(
			'id' => 'room_layout',
			'type' => 'select',
			'title' => esc_html__('Layout room', 'kingplace'),
			'options' => array(
				'list'	=>  esc_html__( 'List Layout', 'kingplace' ),
				'grid' =>  esc_html__( 'Grid Layout', 'kingplace' )								
				),
			'std' => 'list',
			'sub_desc' => esc_html__( 'Select style layout room', 'kingplace' ),
			),
		array(
			'id' => 'room_column',
			'type' => 'select',
			'title' => esc_html__('Room column', 'kingplace'),
			'options' => array(								
				'2' => '2 columns',
				'3' => '3 columns',
				'4' => '4 columns'								
				),
			'std' => '2',
			'sub_desc' => esc_html__( 'Select style number column room', 'kingplace' ),
			),
		)
);	

$options[] = array(
	'title' => esc_html__('Typography', 'kingplace'),
	'desc' => wp_kses( __('<p class="description">Change the font style of your blog, custom with Google Font.</p>', 'kingplace'), array( 'p' => array( 'class' => array() ) ) ),
			//all the glyphicons are included in the options folder, so you can hook into them, or link to your own custom ones.
			//You dont have to though, leave it kingplace for default.
	'icon' => KINGPLACE_URL.'/admin/img/glyphicons/glyphicons_151_edit.png',
			//Lets leave this as a kingplace section, no options just some intro text set above.
	'fields' => array(
		array(
			'id' => 'info_typo1',
			'type' => 'info',
			'title' => esc_html( 'Global Typography', 'kingplace' ),
			'desc' => '',
			'class' => 'kingplace-opt-info'
			),

		array(
			'id' => 'google_webfonts',
			'type' => 'google_webfonts',
			'title' => esc_html__('Use Google Webfont', 'kingplace'),
			'sub_desc' => esc_html__( 'Insert font style that you actually need on your webpage.', 'kingplace' ), 
			'std' => ''
			),

		array(
			'id' => 'webfonts_weight',
			'type' => 'multi_select',
			'sub_desc' => esc_html__( 'For weight, see Google Fonts to custom for each font style.', 'kingplace' ),
			'title' => esc_html__('Webfont Weight', 'kingplace'),
			'options' => array(
				'100' => '100',
				'200' => '200',
				'300' => '300',
				'400' => '400',
				'500' => '500',
				'600' => '600',
				'700' => '700',
				'800' => '800',
				'900' => '900'
				),
			'std' => ''
			),

		array(
			'id' => 'info_typo2',
			'type' => 'info',
			'title' => esc_html( 'Header Tag Typography', 'kingplace' ),
			'desc' => '',
			'class' => 'kingplace-opt-info'
			),

		array(
			'id' => 'header_tag_font',
			'type' => 'google_webfonts',
			'title' => esc_html__('Header Tag Font', 'kingplace'),
			'sub_desc' => esc_html__( 'Select custom font for header tag ( h1...h6 )', 'kingplace' ), 
			'std' => ''
			),

		array(
			'id' => 'info_typo2',
			'type' => 'info',
			'title' => esc_html( 'Main Menu Typography', 'kingplace' ),
			'desc' => '',
			'class' => 'kingplace-opt-info'
			),

		array(
			'id' => 'menu_font',
			'type' => 'google_webfonts',
			'title' => esc_html__('Main Menu Font', 'kingplace'),
			'sub_desc' => esc_html__( 'Select custom font for main menu', 'kingplace' ), 
			'std' => ''
			),
	)
);

$options[] = array(
	'title' => __('Social', 'kingplace'),
	'desc' => wp_kses( __('<p class="description">This feature allow to you link to your social.</p>', 'kingplace'), array( 'p' => array( 'class' => array() ) ) ),
		//all the glyphicons are included in the options folder, so you can hook into them, or link to your own custom ones.
		//You dont have to though, leave it blank for default.
	'icon' => KINGPLACE_URL.'/admin/img/glyphicons/glyphicons_222_share.png',
		//Lets leave this as a blank section, no options just some intro text set above.
	'fields' => array(
		array(
			'id' => 'social-share-fb',
			'title' => esc_html__( 'Facebook', 'kingplace' ),
			'type' => 'text',
			'sub_desc' => '',
			'desc' => '',
			'std' => '',
			),
		array(
			'id' => 'social-share-tw',
			'title' => esc_html__( 'Twitter', 'kingplace' ),
			'type' => 'text',
			'sub_desc' => '',
			'desc' => '',
			'std' => '',
			),
		array(
			'id' => 'social-share-tumblr',
			'title' => esc_html__( 'Tumblr', 'kingplace' ),
			'type' => 'text',
			'sub_desc' => '',
			'desc' => '',
			'std' => '',
			),
		array(
			'id' => 'social-share-in',
			'title' => esc_html__( 'Linkedin', 'kingplace' ),
			'type' => 'text',
			'sub_desc' => '',
			'desc' => '',
			'std' => '',
			),
		array(
			'id' => 'social-share-instagram',
			'title' => esc_html__( 'Instagram', 'kingplace' ),
			'type' => 'text',
			'sub_desc' => '',
			'desc' => '',
			'std' => '',
			),
		array(
			'id' => 'social-share-go',
			'title' => esc_html__( 'Google+', 'kingplace' ),
			'type' => 'text',
			'sub_desc' => '',
			'desc' => '',
			'std' => '',
			),
		array(
			'id' => 'social-share-pi',
			'title' => esc_html__( 'Pinterest', 'kingplace' ),
			'type' => 'text',
			'sub_desc' => '',
			'desc' => '',
			'std' => '',
			)

		)
);

$options[] = array(
	'title' => esc_html__('Maintaincece Mode', 'kingplace'),
	'desc' => wp_kses( __('<p class="description">Enable and config for Maintaincece mode.</p>', 'kingplace'), array( 'p' => array( 'class' => array() ) ) ),
			//all the glyphicons are included in the options folder, so you can hook into them, or link to your own custom ones.
			//You dont have to though, leave it kingplace for default.
	'icon' => KINGPLACE_URL.'/admin/img/glyphicons/glyphicons_136_computer_locked.png',
			//Lets leave this as a kingplace section, no options just some intro text set above.
	'fields' => array(
		array(
			'id' => 'maintaince_enable',
			'title' => esc_html__( 'Enable Maintaincece Mode', 'kingplace' ),
			'type' => 'checkbox',
			'sub_desc' => esc_html__( 'Turn on/off Maintaince mode on this website', 'kingplace' ),
			'desc' => '',
			'std' => '0'
			),

		array(
			'id' => 'maintaince_background',
			'title' => esc_html__( 'Maintaince Background', 'kingplace' ),
			'type' => 'upload',
			'sub_desc' => esc_html__( 'Choose maintance background image', 'kingplace' ),
			'desc' => '',
			'std' => get_template_directory_uri().'/assets/img/maintaince/bg-main.jpg'
			),

		array(
			'id' => 'maintaince_content',
			'title' => esc_html__( 'Maintaince Content', 'kingplace' ),
			'type' => 'editor',
			'sub_desc' => esc_html__( 'Change text of maintaince mode', 'kingplace' ),
			'desc' => '',
			'std' => ''
			),

		array(
			'id' => 'maintaince_date',
			'title' => esc_html__( 'Maintaince Date', 'kingplace' ),
			'type' => 'date',
			'sub_desc' => esc_html__( 'Put date to this field to show countdown date on maintaince mode.', 'kingplace' ),
			'desc' => '',
			'placeholder' => 'mm/dd/yy',
			'std' => ''
			),

		array(
			'id' => 'maintaince_form',
			'title' => esc_html__( 'Maintaince Form', 'kingplace' ),
			'type' => 'text',
			'sub_desc' => esc_html__( 'Put shortcode form to this field and it will be shown on maintaince mode frontend.', 'kingplace' ),
			'desc' => '',
			'std' => ''
			),

		)
);

$options[] = array(
	'title' => esc_html__('Popup Config', 'kingplace'),
	'desc' => wp_kses( __('<p class="description">Enable popup and more config for Popup.</p>', 'kingplace'), array( 'p' => array( 'class' => array() ) ) ),
			//all the glyphicons are included in the options folder, so you can hook into them, or link to your own custom ones.
			//You dont have to though, leave it kingplace for default.
	'icon' => KINGPLACE_URL.'/admin/img/glyphicons/glyphicons_318_more-items.png',
			//Lets leave this as a kingplace section, no options just some intro text set above.
	'fields' => array(
		array(
			'id' => 'popup_active',
			'type' => 'checkbox',
			'title' => esc_html__( 'Active Popup Subscribe', 'kingplace' ),
			'sub_desc' => esc_html__( 'Check to active popup subscribe', 'kingplace' ),
			'desc' => '',
						'std' => '0'// 1 = on | 0 = off
						),	

		array(
			'id' => 'popup_background',
			'title' => esc_html__( 'Popup Background', 'kingplace' ),
			'type' => 'upload',
			'sub_desc' => esc_html__( 'Choose popup background image', 'kingplace' ),
			'desc' => '',
			'std' => get_template_directory_uri().'/assets/img/popup/bg-main.jpg'
			),

		array(
			'id' => 'popup_content',
			'title' => esc_html__( 'Popup Content', 'kingplace' ),
			'type' => 'editor',
			'sub_desc' => esc_html__( 'Change text of popup mode', 'kingplace' ),
			'desc' => '',
			'std' => ''
			),	

		array(
			'id' => 'popup_form',
			'title' => esc_html__( 'Popup Form', 'kingplace' ),
			'type' => 'text',
			'sub_desc' => esc_html__( 'Put shortcode form to this field and it will be shown on popup mode frontend.', 'kingplace' ),
			'desc' => '',
			'std' => ''
			),

		)
);

$options[] = array(
	'title' => esc_html__('Advanced', 'kingplace'),
	'desc' => wp_kses( __('<p class="description">Custom advanced with Cpanel, Widget advanced, Developer mode </p>', 'kingplace'), array( 'p' => array( 'class' => array() ) ) ),
			//all the glyphicons are included in the options folder, so you can hook into them, or link to your own custom ones.
			//You dont have to though, leave it kingplace for default.
	'icon' => KINGPLACE_URL.'/admin/img/glyphicons/glyphicons_083_random.png',
			//Lets leave this as a kingplace section, no options just some intro text set above.
	'fields' => array(
		array(
			'id' => 'show_cpanel',
			'title' => esc_html__( 'Show cPanel', 'kingplace' ),
			'type' => 'checkbox',
			'sub_desc' => esc_html__( 'Turn on/off Cpanel', 'kingplace' ),
			'desc' => '',
			'std' => ''
			),

		array(
			'id' => 'widget-advanced',
			'title' => esc_html__('Widget Advanced', 'kingplace'),
			'type' => 'checkbox',
			'sub_desc' => esc_html__( 'Turn on/off Widget Advanced', 'kingplace' ),
			'desc' => '',
			'std' => '1'
			),					

		array(
			'id' => 'social_share',
			'title' => esc_html__( 'Social Share', 'kingplace' ),
			'type' => 'checkbox',
			'sub_desc' => esc_html__( 'Turn on/off social share', 'kingplace' ),
			'desc' => '',
			'std' => '1'
			),

		array(
			'id' => 'breadcrumb_active',
			'title' => esc_html__( 'Turn Off Breadcrumb', 'kingplace' ),
			'type' => 'checkbox',
			'sub_desc' => esc_html__( 'Turn off breadcumb on all page', 'kingplace' ),
			'desc' => '',
			'std' => '0'
			),

		array(
			'id' => 'back_active',
			'type' => 'checkbox',
			'title' => esc_html__('Back to top', 'kingplace'),
			'sub_desc' => '',
			'desc' => '',
				'std' => '1'// 1 = on | 0 = off
				),	

		array(
			'id' => 'direction',
			'type' => 'select',
			'title' => esc_html__('Direction', 'kingplace'),
			'options' => array( 'ltr' => 'Left to Right', 'rtl' => 'Right to Left' ),
			'std' => 'ltr'
			)

		)
);

$options_args = array();

	//Setup custom links in the footer for share icons
$options_args['share_icons']['facebook'] = array(
	'link' => 'http://www.facebook.com/WPThemeGo.page',
	'title' => 'Facebook',
	'img' => KINGPLACE_URL.'/admin/img/glyphicons/glyphicons_320_facebook.png'
	);
$options_args['share_icons']['twitter'] = array(
	'link' => 'https://twitter.com/WPThemeGo',
	'title' => 'Folow me on Twitter',
	'img' => KINGPLACE_URL.'/admin/img/glyphicons/glyphicons_322_twitter.png'
	);
$options_args['share_icons']['linked_in'] = array(
	'link' => 'http://www.linkedin.com/in/WPThemeGo',
	'title' => 'Find me on LinkedIn',
	'img' => KINGPLACE_URL.'/admin/img/glyphicons/glyphicons_337_linked_in.png'
	);


	//Choose a custom option name for your theme options, the default is the theme name in lowercase with spaces replaced by underscores
$options_args['opt_name'] = SW_THEME;

	$webfonts = ( sw_options( 'google_webfonts_api' ) ) ? sw_options( 'google_webfonts_api' ) : 'AIzaSyDyw1LeEgGw_H2usjbBQzIyhwCncJxTy8o';
	$options_args['google_api_key'] = $webfonts; //must be defined for use with google webfonts field type

	//Custom menu title for options page - default is "Options"
	$options_args['menu_title'] = esc_html__('Theme Options', 'kingplace');

	//Custom Page Title for options page - default is "Options"
	$options_args['page_title'] = esc_html__('Kingplace Options ', 'kingplace') . wp_get_theme()->get('Name');

	//Custom page slug for options page (wp-admin/themes.php?page=***) - default is "kingplace_theme_options"
	$options_args['page_slug'] = 'kingplace_theme_options';

	//page type - "menu" (adds a top menu section) or "submenu" (adds a submenu) - default is set to "menu"
	$options_args['page_type'] = 'submenu';

	//custom page location - default 100 - must be unique or will override other items
	$options_args['page_position'] = 27;
	$sw_options = new SW_Options( $options, $options_args );
}
add_action( 'init', 'kingplace_Options_Setup', 0 );
// kingplace_Options_Setup();
endif; 


/*
** Define widget
*/
function kingplace_widget_setup_args(){
	$kingplace_widget_areas = array(
		
		array(
			'name' => esc_html__('Sidebar Left Blog', 'kingplace'),
			'id'   => 'left-blog',
			'before_widget' => '<div class="widget %1$s %2$s"><div class="widget-inner">',
			'after_widget' => '</div></div>',
			'before_title' => '<div class="block-title-widget"><h2><span>',
			'after_title' => '</span></h2></div>'
			),
		
		array(
			'name' => esc_html__('Sidebar Right Blog', 'kingplace'),
			'id'   => 'right-blog',
			'before_widget' => '<div class="widget %1$s %2$s"><div class="widget-inner">',
			'after_widget' => '</div></div>',
			'before_title' => '<div class="block-title-widget"><h2><span>',
			'after_title' => '</span></h2></div>'
			),

		array(
			'name' => esc_html__('Sidebar Left Room', 'kingplace'),
			'id'   => 'left-room',
			'before_widget' => '<div class="widget %1$s %2$s"><div class="widget-inner">',
			'after_widget' => '</div></div>',
			'before_title' => '<div class="block-title-widget"><h2><span>',
			'after_title' => '</span></h2></div>'
			),
		
		array(
			'name' => esc_html__('Sidebar Right Room', 'kingplace'),
			'id'   => 'right-room',
			'before_widget' => '<div class="widget %1$s %2$s"><div class="widget-inner">',
			'after_widget' => '</div></div>',
			'before_title' => '<div class="block-title-widget"><h2><span>',
			'after_title' => '</span></h2></div>'
			),
		
		array(
			'name' => esc_html__('Top Header', 'kingplace'),
			'id'   => 'top',
			'before_widget' => '<div class="widget %1$s %2$s"><div class="widget-inner">',
			'after_widget'  => '</div></div>',
			'before_title'  => '<h3>',
			'after_title'   => '</h3>'
			),

		array(
			'name' => esc_html__('Top Header Home 3', 'kingplace'),
			'id'   => 'top1',
			'before_widget' => '<div class="widget %1$s %2$s"><div class="widget-inner">',
			'after_widget'  => '</div></div>',
			'before_title'  => '<h3>',
			'after_title'   => '</h3>'
			),

		array(
			'name' => esc_html__('Top Social Home 3', 'kingplace'),
			'id'   => 'top3',
			'before_widget' => '<div class="widget %1$s %2$s"><div class="widget-inner">',
			'after_widget'  => '</div></div>',
			'before_title'  => '<h3>',
			'after_title'   => '</h3>'
			),

		array(
			'name' => esc_html__('Slider Home 3', 'kingplace'),
			'id'   => 'top2',
			'before_widget' => '<div class="widget %1$s %2$s"><div class="widget-inner">',
			'after_widget'  => '</div></div>',
			'before_title'  => '<h3>',
			'after_title'   => '</h3>'
			),
		
		array(
			'name' => esc_html__('Footer Copyright 1', 'kingplace'),
			'id'   => 'footer-copyright',
			'before_widget' => '<div class="widget %1$s %2$s"><div class="widget-inner">',
			'after_widget'  => '</div></div>',
			'before_title'  => '<h3>',
			'after_title'   => '</h3>'
			),

		array(
			'name' => esc_html__('Footer Copyright 2', 'kingplace'),
			'id'   => 'footer-copyright2',
			'before_widget' => '<div class="widget %1$s %2$s"><div class="widget-inner">',
			'after_widget'  => '</div></div>',
			'before_title'  => '<h3>',
			'after_title'   => '</h3>'
			),

		);
return apply_filters( 'kingplace_widget_register', $kingplace_widget_areas );
}