<?php get_template_part('header'); ?>

<?php kingplace_breadcrumb_title(); ?>

<div class="container">
	<div class="row sidebar-row">
		<!-- Left Sidebar -->
		<?php if ( is_active_sidebar('left-room') && kingplace_sidebar_template() == 'left' ):
		$kingplace_left_span_class = 'col-lg-'.sw_options('sidebar_left_expand');
		$kingplace_left_span_class .= ' col-md-'.sw_options('sidebar_left_expand_md');
		$kingplace_left_span_class .= ' col-sm-'.sw_options('sidebar_left_expand_sm');
		?>
		<aside id="left" class="sidebar <?php echo esc_attr($kingplace_left_span_class); ?>">
			<?php dynamic_sidebar('left-room'); ?>
		</aside>
	<?php endif; ?>
	
	<div class="single main <?php kingplace_content_blog(); ?>" >
		<?php while (have_posts()) : the_post(); ?>
		<?php 
			$related_post_column = sw_options('sidebar_blog'); 
			global $post; 
			$price 	 			= get_post_meta( $post->ID, '_room_price', true );
			$average 			= kingplace_get_rating_average( $post->ID );			
			$rating_count = kingplace_get_rating_count( $post->ID );
			$room_symbol	= get_option( '_room_symbol_currency' );
			$room_ckin		= get_option( '_room_checkin' );
			$room_ckout		= get_option( '_room_checkout' );
			$room_phone		= get_option( '_room_phone' );
		?>
			<div <?php post_class(); ?>>
				<div class="entry-wrap">
					<div class="entry-top clearfix">
						<div class="entry-left pull-left">
							<h1 class="entry-title"><?php the_title(); ?></h1>
							<div class="reviews-content" itemprop="aggregateRating" itemscope itemtype="http://schema.org/AggregateRating">
								<div class="star">
									<?php echo '<span style="width:'. ( $average*12 ) .'px"></span>'; ?>
									<div class="rating-hidden">
										<strong itemprop="ratingValue" class="rating"><?php echo esc_html( $average ); ?></strong> <?php printf( __( 'out of %s5%s', 'kingplace' ), '<span itemprop="bestRating">', '</span>' ); ?>
										<?php printf( _n( 'based on %s customer rating', 'based on %s customer ratings', $rating_count, 'kingplace' ), '<span itemprop="ratingCount" class="rating">' . $rating_count . '</span>' ); ?>
									</div>
								</div>
									<?php if ( comments_open() ) : ?><?php printf( _n( '%s Review', '%s Review(s)', $rating_count, 'kingplace' ), '<span itemprop="ratingCount" class="count">' . $rating_count . '</span>' ); ?><?php endif; ?>
							</div>
						</div>
						<?php if( $price ) : ?>
						<h3 class="entry-price pull-right">
							<?php echo sprintf( __( 'Starting at: <span> %s%s/Night', 'kingplace' ), sw_hotel_price_format( $price ), $room_symbol ); ?>
						</h3>
						<?php endif; ?>
					</div>
					<?php 
						$room_gallery = sw_get_room_gallery( $post->ID );
						if( count( $room_gallery ) > 0 ){
					?>
					<div class="single-thumb" id="single_room_gallery">
						<div class="room-images-container clearfix">
							<div class="slider room-responsive">
								<?php foreach ( $room_gallery as $key => $attachment ) {  ?>
									<div class="item item-room">	
										<?php echo wp_get_attachment_image( $attachment, 'large', false, array() ); ?>
									</div>
								<?php } ?>
							</div>
							<div class="slider room-thumbnail">
								<?php foreach ( $room_gallery as $key => $attachment ) {  ?>
									<div class="item item-thumb">	
										<?php echo wp_get_attachment_image( $attachment, 'medium', false, array() ); ?>
									</div>
								<?php } ?>
							</div>
						</div>
					</div>
					<?php } ?>
				</div>
				<?php do_action( 'my_hotel_content_tab' ); ?>
				<div class="entry-content-tab">
					<div class="content-tab-top clearfix">
						<ul class="nav nav-tabs">
							<li class="active"><a data-toggle="tab" href="#description"><?php esc_html_e( 'Description', 'kingplace' ) ?></a></li>
							<li><a data-toggle="tab" href="#review"><?php esc_html_e( 'Review', 'kingplace' ) ?></a></li>
						</ul>
						<div class="single-booking"><?php echo apply_filters( 'sw_booking_url', sprintf( '<a href="%s" data-toggle="booking" data-id="%s" title="%s"><i class="fa fa-calendar" aria-hidden="true"></i>%s</a>', '#', get_the_title( $post->ID ) , esc_html__( 'Book Now', 'sw_hotel' ), esc_html__( 'Book Now', 'sw_hotel' ) ) ); ?></div>
					</div>
					<div class="tab-content">
						<div id="description" class="tab-pane fade in active">
							<div class="content-meta">
								<div class="content-meta-top clearfix">
									<div class="meta-top-item">
										<label><?php echo esc_html__( 'Type', 'kingplace' ); ?>: </label>
										<span><?php echo get_post_meta( $post->ID, '_room_type', true ); ?></span>
									</div>
									<div class="meta-top-item">
										<label><?php echo esc_html__( 'Check In', 'kingplace' ); ?>: </label>
										<span><?php echo $room_ckin; ?></span>
									</div>
									<div class="meta-top-item">
										<label><?php echo esc_html__( 'Hotine', 'kingplace' ); ?>: </label>
										<span><?php echo $room_phone; ?></span>
									</div>
									<div class="meta-top-item">
										<label><?php echo esc_html__( 'Check Out', 'kingplace' ); ?>: </label>
										<span><?php echo $room_ckout; ?></span>
									</div>
								</div>
								<div class="content-meta-services clearfix">
									<?php kingplace_single_room_services() ?>
								</div>
							</div>
							<?php the_content(); ?>		
						</div>
						<div id="review" class="tab-pane fade">
							<?php comments_template(); ?>
						</div>
					</div>	
				</div>	
				<div class="clear"></div>
				<?php do_action( 'sw_single_room_related' ); ?>
			</div>
		<?php endwhile; ?>
	</div>

	<!-- Right Sidebar -->
	<?php if ( is_active_sidebar('right-room') && kingplace_sidebar_template() == 'right' ):
	$kingplace_right_span_class = 'col-lg-'.sw_options('sidebar_right_expand');
	$kingplace_right_span_class .= ' col-md-'.sw_options('sidebar_right_expand_md');
	$kingplace_right_span_class .= ' col-sm-'.sw_options('sidebar_right_expand_sm');
	?>
	<aside id="right" class="sidebar <?php echo esc_attr( $kingplace_right_span_class ); ?>">
		<?php dynamic_sidebar('right-room'); ?>
	</aside>
<?php endif; ?>
</div>	
</div>
<?php get_template_part('footer'); ?>