<?php
if( !function_exists( 'sw_hotel_comment' ) ){
	function sw_hotel_comment( $comment, $args, $depth ) {
		$GLOBALS['comment'] = $comment; 
		global $post;
		$comment_meta = get_comment_meta( $comment->comment_ID, 'rating', true );
?>
		<div id="comment-<?php comment_ID(); ?>" <?php comment_class( 'media' ); ?>>
			<div class="author pull-left">
				<?php echo get_avatar( $comment, $size = '70' ); ?>
				<div class="comment-rating"><div class="star"><?php echo ( $comment_meta > 0 ) ?'<span style="width:'. ( $comment_meta*12 ).'px"></span>' : ''; ?></div></div>
			</div>
			<div class="media-body">
				<div class="media">
					<div class="media-heading">
						<div class="author-name custom-font pull-left">
							<span><?php echo comment_author_link( get_comment_ID() )?></span>
						</div>
						<div class="time pull-left">
							<a href="<?php echo get_permalink($post->ID)?>"><?php echo get_the_date( '', $post->ID );?></a>
						</div>
						<div class="reply pull-right"><?php comment_reply_link( array_merge( $args, array( 'depth' => $depth, 'max_depth' => $args['max_depth'] ) ) ); ?></div>	
					</div>
					<?php if ( $comment->comment_approved == '0' ) : ?>
						<div class="awaiting row-fluid">
						  <i><?php esc_html_e( 'Your comment is awaiting moderation.', 'kingplace' ); ?></i>
						</div>
					<?php endif; ?>
					<div class="media-content row-fluid">
						<?php comment_text(); ?>					
					</div> 
				</div>
		 	 </div>
		</div>
<?php } } ?>

<?php if ( post_password_required() ) : ?>
	<div id="comments">
		<div class="alert alert-block fade in">
			<a class="close" data-dismiss="alert">&times;</a>
			<p><?php esc_html_e( 'This post is password protected. Enter the password to view comments.', 'kingplace' ); ?></p>
		</div>
	</div><!-- /#comments -->
<?php endif; ?>

<?php if ( have_comments() ) : ?>
<div id="comments">
	<h3 class="title"><?php esc_html_e( 'Comments', 'kingplace' ) ?></h3>

	<div class="commentlist">
		<div class="entry-summary">
			<?php wp_list_comments( array( 'callback' => 'sw_hotel_comment') ); ?>
		</div>
	</div>

	<?php if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) : // are there comments to navigate through ?>
		<nav id="comments-nav" class="pager">
			<ul class="pager">
				<?php if (get_previous_comments_link()) : ?>
					<li class="previous"><?php previous_comments_link( esc_html__( 'Older comments', 'kingplace' ) ); ?></li>
				<?php else: ?>
					<li class="previous disabled"><a><?php esc_html_e( 'Older comments', 'kingplace' ); ?></a></li>
				<?php endif; ?>
				<?php if (get_next_comments_link()) : ?>
					<li class="next"><?php next_comments_link( esc_html__( 'Newer comments &rarr;', 'kingplace' ) ); ?></li>
				<?php else: ?>
					<li class="next disabled"><a><?php esc_html_e( 'Newer comments &rarr;', 'kingplace' ); ?></a></li>
				<?php endif; ?>
			</ul>
		</nav>
	<?php endif; // check for comment navigation ?>
</div><!-- /#comments -->
<?php endif; ?>

<?php 
	if ( comments_open() ) : 
		$aria_req = ' aria-required="true"';
		$title_reply = '<div class="title">' . esc_html__( 'LEAVE A COMMENT', 'kingplace' ) . '</div>';
		$comment_notes_before = '<p>' . esc_html__( 'Make sure you enter the(*) required information where indicated. HTML code is not allowed', 'kingplace' ) .'</p>';
		$author = '<div class="cmm-box-top clearfix"><div class="control-group your-name pull-left">
						<div class="controls">
							<input type="text" class="input-block-level" placeholder="'.esc_attr__( 'Name*', 'kingplace' ) .'" name="author" id="author" value="" size="22" tabindex="1" '. $aria_req . '>	
						</div>
					</div>';
		$email = '<div class="control-group your-email pull-left">
						<div class="controls">
							<input placeholder="'.esc_attr__( 'Email*', 'kingplace' ) .'" type="email" class="input-block-level" name="email" id="email" value="" size="22" tabindex="2" '. $aria_req . '>
						</div>
					</div>';
		$url = '<div class="control-group website pull-left">		
						<input placeholder="'. esc_attr__( 'Your Website', 'kingplace' ) .'" type="url" class="input-block-level" name="url" id="url" value="" size="22" tabindex="3">
					</div>
				</div>';
		$comment_field = '<div class="rating">
				<span>
					<input type="radio" class="rating-input" id="rating-input-5" name="rating" value="5">
					<label for="rating-input-5" class="rating-star"></label>
					<input type="radio" class="rating-input" id="rating-input-4" name="rating" value="4">
					<label for="rating-input-4" class="rating-star"></label>
					<input type="radio" class="rating-input" id="rating-input-3" name="rating" value="3">
					<label for="rating-input-3" class="rating-star"></label>
					<input type="radio" class="rating-input" id="rating-input-2" name="rating"value="2">
					<label for="rating-input-2" class="rating-star"></label>
					<input type="radio" class="rating-input" id="rating-input-1" name="rating" value="1">
					<label for="rating-input-1" class="rating-star"></label>
				</span>
			</p>
		</div>';
		$comment_field .= '<div class="cmm-box-bottom"><div class="control-group your-comment clearfix">			
						<div class="controls">
							<textarea name="comment" placeholder="'. esc_attr__( 'Comment*', 'kingplace' ) .'" id="comment" class="input-block-level" rows="7" tabindex="4" '. $aria_req . '></textarea>
						</div>
					</div></div>';
		$fields = array( 'author' => $author, 'email' => $email, 'url' => $url );
		$args = array( 'fields' => $fields, 'comment_field' => $comment_field, 'comment_notes_before' => $comment_notes_before, 'comment_notes_after' => '', 'title_reply' => $title_reply, 'label_submit' => esc_html__( 'Submit', 'kingplace' ) );
		comment_form( $args );
	endif;
?>