<?php
	/* 
	** Content Header
	*/
	$kingplace_page_header = get_post_meta( get_the_ID(), 'page_header_style', true );
	$kingplace_colorset = sw_options('scheme');
	$kingplace_logo = sw_options('sitelogo');
	$sticky_menu 		= sw_options( 'sticky_menu' );
	$kingplace_page_header  = ( get_post_meta( get_the_ID(), 'page_header_style', true ) != '' ) ? get_post_meta( get_the_ID(), 'page_header_style', true ) : sw_options('header_style');
	$kingplace_menu_item 	= ( sw_options( 'menu_number_item' ) ) ? sw_options( 'menu_number_item' ) : 9;
	$kingplace_more_text 	= ( sw_options( 'menu_more_text' ) )	 ? sw_options( 'menu_more_text' )		: esc_html__( 'See More', 'kingplace' );
	$kingplace_less_text 	= sw_options( 'menu_less_text' )			 ? sw_options( 'menu_less_text' )		: esc_html__( 'See Less', 'kingplace' );
?>
<header id="header" class="header header-<?php echo esc_attr( $kingplace_page_header ); ?>">
	<!-- Sidebar Top Menu -->
	<?php if (is_active_sidebar('top')) {?>
	<div class="header-top">
		<div class="container">			
			<div class="top-header clearfix">
				<?php dynamic_sidebar('top'); ?>
			</div>
		</div>
	</div>
	<?php }?>

	<div class="header-mid">
		<div class="container">
			<div class="row">
				<!-- Logo -->
				<div class="mid-header col-lg-3 col-md-2 pull-left">
					<div class="kingplace-logo">
						<?php kingplace_logo(); ?>
					</div>
				</div>
				<!-- Primary navbar -->
				<?php if ( has_nav_menu('primary_menu') ) { ?>
				<div id="main-menu" class="main-menu clearfix col-lg-7 col-md-8 pull-left">
					<nav id="primary-menu" class="primary-menu">
						<div class="clearfix">
							<div class="navbar-inner navbar-inverse">
								<?php
								$kingplace_menu_class = 'nav nav-pills';
								if ( 'mega' == sw_options('menu_type') ){
									$kingplace_menu_class .= ' nav-mega';
								} else $kingplace_menu_class .= ' nav-css';
								?>
								<?php wp_nav_menu(array('theme_location' => 'primary_menu', 'menu_class' => $kingplace_menu_class)); ?>
							</div>
						</div>
					</nav>
				</div>			
				<?php } ?>
				<!-- /Primary navbar -->
				<?php 
					$booking_page = get_option( '_room_booking' ); 
					if( $booking_page != '' ) {
				?>
					<h3 class="book-header pull-right"><a href="<?php echo get_permalink( $booking_page ); ?>"><i class="fa fa-calendar" aria-hidden="true"></i><?php esc_html_e( ' Book now', 'kingplace' ) ?></a></h3>
				<?php } ?>
			</div>
		</div>
	</div>
</header>